# Generated by go2rpm 1
%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

# https://github.com/mongodb/mongo-go-driver
%global goipath         go.mongodb.org/mongo-driver
%global forgeurl        https://github.com/mongodb/mongo-go-driver
Version:                1.4.7

%gometa

%global common_description %{expand:
The Go driver for MongoDB.}

%global golicenses      LICENSE
%global godocs          examples CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Go driver for MongoDB
Group:          Development/Other

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/signer/v4)
BuildRequires:  golang(github.com/go-stack/stack)
BuildRequires:  golang(github.com/gobuffalo/packr/v2)
BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/klauspost/compress/zstd)
BuildRequires:  golang(github.com/kr/pretty)
BuildRequires:  golang(github.com/montanaflynn/stats)
BuildRequires:  golang(github.com/pelletier/go-toml)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/xdg/scram)
BuildRequires:  golang(github.com/xdg/stringprep)
BuildRequires:  golang(golang.org/x/crypto/ocsp)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/sync/semaphore)
BuildRequires:  golang(golang.org/x/tools/go/packages)
BuildRequires:  golang(golang.org/x/tools/imports)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/tidwall/pretty)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# Disabled tests need a mongo client or network access
%gocheck -d mongo \
         -d mongo/gridfs \
         -d x/mongo/driver/integration \
         -d x/mongo/driver/topology \
         -d mongo/integration \
         -d bson/bsoncodec
%endif

%files
%license LICENSE
%doc examples CONTRIBUTING.md README.md
%{_bindir}/*

%gopkgfiles


%changelog
* Tue Apr 05 2022 umeabot <umeabot> 1.4.7-2.mga9
+ Revision: 1845218
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 guillomovitch <guillomovitch> 1.4.7-1.mga9
+ Revision: 1758426
- imported package golang-mongodb-mongo-driver

